@import url(https://fonts.googleapis.com/css?family=Roboto:400,500,700&display=swap);@charset "UTF-8";
.bg-alert {
  background: #F2994A !important; }

.text-alert {
  color: #F2994A !important; }

.bg-warning, .bg-attention {
  background: #EB5757 !important; }

.text-warning, .text-attention {
  color: #EB5757 !important; }

.bg-in_progress {
  background: #27AE60 !important; }

.text-in_progress {
  color: #27AE60 !important; }

.bg-assigned {
  background: #3E92C2 !important; }

.text-assigned {
  color: #3E92C2 !important; }

.bg-new {
  background: #BB6BD9 !important; }

.text-new {
  color: #BB6BD9 !important; }

* {
  font-family: "Roboto"; }

.mini-modal {
  top: 50px;
  right: 100px;
  display: flex;
  flex-direction: column;
  letter-spacing: 0.16px;
  background: white;
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2), 0 3px 4px rgba(0, 0, 0, 0.12), 0 2px 4px rgba(0, 0, 0, 0.14);
  padding: 20px;
  padding-right: 40px;
  position: absolute;
  z-index: 10; }
  .mini-modal h5 {
    color: #BDBDBD;
    text-transform: uppercase;
    margin: 0;
    font-size: 11px; }
  .mini-modal label {
    display: flex;
    align-items: center;
    margin-top: 10px; }
    .mini-modal label input {
      margin-right: 1rem; }
    .mini-modal label span {
      font-weight: 500;
      font-size: 13px;
      color: #333; }

.qed-cal-flex-wrap {
  display: flex; }

.qed-cal-planning-centre {
  min-width: 424px;
  background: white; }
  .qed-cal-planning-centre .sidebar-header {
    padding: 20px 32px;
    border-bottom: 1px solid #E0E0E0;
    display: flex;
    justify-content: space-between;
    align-items: center; }
  .qed-cal-planning-centre h2 {
    color: #2C98F0;
    font-weight: 500;
    font-size: 20px;
    margin: 0; }

.qed-cal-wrapper {
  position: relative;
  user-select: none;
  display: flex;
  flex-direction: column;
  min-height: calc(100vh); }
  .qed-cal-wrapper > *:last-child {
    flex-grow: 1; }

.circle-btn, .qed-cal-header a {
  margin-left: 0.5rem;
  display: inline-flex;
  transition: .2s;
  width: 30px;
  height: 30px;
  border-radius: 100%;
  align-items: center;
  justify-content: center; }
  .circle-btn[data-active] svg, .circle-btn[data-active] svg *, .qed-cal-header a[data-active] svg, .qed-cal-header a[data-active] svg * {
    fill: #2C98F0;
    stroke: #2C98F0; }
  .circle-btn:hover, .qed-cal-header a:hover {
    background: #f3f3f3; }

.qed-cal-header {
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2), 0 3px 4px rgba(0, 0, 0, 0.12), 0 2px 4px rgba(0, 0, 0, 0.14);
  position: relative;
  background: white;
  padding: 15px 20px;
  display: flex;
  justify-content: flex-end;
  border: 1px #E0E0E0 solid;
  border-bottom: 0px; }

.production-lane .fc-content, .work-package .fc-content {
  display: flex !important; }

[data-visibility-task-names] .planned .fc-content {
  display: flex !important; }

[data-visibility-assignees] .right-label {
  display: flex !important; }

[data-visibility-constraints] .constraint {
  display: flex !important; }

[data-visibility-delays] .delay {
  display: flex !important; }

.full-calendar-wrapper {
  oveflow: hidden; }
  .full-calendar-wrapper > * {
    height: 100%; }

.full-calendar {
  margin: 20px; }
  .full-calendar .fc-view-container {
    border: 0.5px #E0E0E0 solid; }
  .full-calendar .fc-icon-minus-square, .full-calendar .fc-icon-plus-square {
    margin-left: 20px; }
  .full-calendar .fc-icon-minus-square:before, .full-calendar .fc-icon-plus-square:before {
    content: "";
    display: block;
    width: 12px;
    height: 17px;
    background-image: url("data:image/svg+xml,%3Csvg width='10' height='6' viewBox='0 0 10 6' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9.5 1.48828L5 5.98828L0.5 1.48828L1.55469 0.433593L5 3.87891L8.44531 0.433594L9.5 1.48828Z' fill='%23BDBDBD'/%3E%3C/svg%3E%0A");
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat; }
  .full-calendar .fc-icon-plus-square:before {
    transform: rotate(-90deg); }
  .full-calendar .fc-resource-area .fc-widget-header span {
    display: none; }
  .full-calendar .fc-resource-area span {
    font-size: 12px; }
  .full-calendar .fc-widget-header {
    height: 32px; }
  .full-calendar tr:nth-child(2) .fc-widget-header {
    height: 32px; }
    .full-calendar tr:nth-child(2) .fc-widget-header[data-date] span {
      color: #BDBDBD; }
  .full-calendar td, .full-calendar th {
    border-color: #E0E0E0; }
  .full-calendar .fc-button {
    box-shadow: none !important;
    text-transform: uppercase;
    background: white;
    color: #666;
    border-color: transparent;
    outline: none; }
    .full-calendar .fc-button.fc-button-active {
      background: white;
      color: #666;
      border-color: #666; }
  .full-calendar .fc-header-toolbar {
    display: none;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2), 0 3px 4px rgba(0, 0, 0, 0.12), 0 2px 4px rgba(0, 0, 0, 0.14);
    background: white;
    padding: 20px;
    text-transform: uppercase;
    color: #666; }
  .full-calendar .fc-sticky {
    text-transform: uppercase; }
  .full-calendar .fc-view-container {
    background: white; }
  .full-calendar * {
    font-size: 12px;
    font-weight: 500;
    letter-spacing: 0.16px; }
    .full-calendar *.fc-cell-text {
      color: #828282; }
  .full-calendar .fc-timeline th .fc-cell-content {
    text-align: center !important; }
  .full-calendar .fc-timeline .fc-time-area .fc-rows td {
    border-top-color: transparent;
    border-bottom-color: transparent; }
    .full-calendar .fc-timeline .fc-time-area .fc-rows td > div {
      max-height: 31px; }
  .full-calendar .fc-customTimeline-view .fc-sticky {
    left: auto !important;
    right: auto !important; }
  .full-calendar .fc-divider .fc-cell-text {
    color: #4F4F4F; }
  .full-calendar .fc-widget-header {
    text-transform: uppercase; }
  .full-calendar .fc-timeline .fc-event {
    transition: .2s; }
    .full-calendar .fc-timeline .fc-event .fc-content {
      display: none; }
      .full-calendar .fc-timeline .fc-event .fc-content .fc-sticky {
        position: relative !important; }
    .full-calendar .fc-timeline .fc-event.constraint, .full-calendar .fc-timeline .fc-event.delay, .full-calendar .fc-timeline .fc-event.actual, .full-calendar .fc-timeline .fc-event.planned {
      top: 8px !important;
      height: 0;
      margin: 0;
      background: none;
      border: none; }
    .full-calendar .fc-timeline .fc-event.delay, .full-calendar .fc-timeline .fc-event.actual, .full-calendar .fc-timeline .fc-event.constraint {
      pointer-events: none; }
    .full-calendar .fc-timeline .fc-event.actual[data-status='complete']:after {
      border-color: #828282;
      background: #BDBDBD; }
    .full-calendar .fc-timeline .fc-event.actual[data-status='alert']:after {
      border-color: #F2994A;
      background: #F8CCA4; }
    .full-calendar .fc-timeline .fc-event.actual[data-status='warning']:after {
      border-color: #EB5757;
      background: #F5ABAB; }
    .full-calendar .fc-timeline .fc-event.actual[data-status='assigned']:after {
      border-color: #3E92C2;
      background: #9FC9E0; }
    .full-calendar .fc-timeline .fc-event.actual[data-status='new']:after {
      border-color: #BB6BD9;
      background: #DDB5EC; }
    .full-calendar .fc-timeline .fc-event.planned {
      background: #E9F7F3;
      border: 1px solid #27AE85; }
      .full-calendar .fc-timeline .fc-event.planned[data-status='in_progress']:after, .full-calendar .fc-timeline .fc-event.planned[data-status='in_progress']:before {
        background-color: #27AE60; }
      .full-calendar .fc-timeline .fc-event.planned[data-status='complete'] {
        border-color: #828282;
        background: #E0E0E0; }
        .full-calendar .fc-timeline .fc-event.planned[data-status='complete']:after, .full-calendar .fc-timeline .fc-event.planned[data-status='complete']:before {
          background-color: #828282; }
      .full-calendar .fc-timeline .fc-event.planned[data-status='alert'] {
        border-color: #F2994A;
        background: #FEF5ED; }
        .full-calendar .fc-timeline .fc-event.planned[data-status='alert']:after, .full-calendar .fc-timeline .fc-event.planned[data-status='alert']:before {
          background-color: #F2994A; }
      .full-calendar .fc-timeline .fc-event.planned[data-status='warning'] {
        border-color: #EB5757;
        background: #FDEEEE; }
        .full-calendar .fc-timeline .fc-event.planned[data-status='warning']:after, .full-calendar .fc-timeline .fc-event.planned[data-status='warning']:before {
          background-color: #EB5757; }
      .full-calendar .fc-timeline .fc-event.planned[data-status='assigned'] {
        border-color: #3E92C2;
        background: #CFE4F0; }
        .full-calendar .fc-timeline .fc-event.planned[data-status='assigned']:after, .full-calendar .fc-timeline .fc-event.planned[data-status='assigned']:before {
          background-color: #3E92C2; }
      .full-calendar .fc-timeline .fc-event.planned[data-status='new'] {
        border-color: #BB6BD9;
        background: #F8F0FB; }
        .full-calendar .fc-timeline .fc-event.planned[data-status='new']:after, .full-calendar .fc-timeline .fc-event.planned[data-status='new']:before {
          background-color: #BB6BD9; }
      .full-calendar .fc-timeline .fc-event.planned:hover, .full-calendar .fc-timeline .fc-event.planned.resizing {
        z-index: 4;
        background: transparent !important; }
        .full-calendar .fc-timeline .fc-event.planned:hover:before, .full-calendar .fc-timeline .fc-event.planned:hover:after, .full-calendar .fc-timeline .fc-event.planned.resizing:before, .full-calendar .fc-timeline .fc-event.planned.resizing:after {
          content: '';
          display: block;
          position: absolute;
          top: 0;
          left: 0;
          height: 100%;
          width: 7px; }
        .full-calendar .fc-timeline .fc-event.planned:hover:after, .full-calendar .fc-timeline .fc-event.planned.resizing:after {
          left: auto;
          right: 0; }
    .full-calendar .fc-timeline .fc-event.actual:after {
      content: '';
      display: block;
      height: 16px;
      position: absolute;
      left: 0;
      top: 0;
      width: calc(100% - 1px);
      background: #C9EBE1;
      border: 1px solid #27AE85; }
    .full-calendar .fc-timeline .fc-event.planned {
      height: 12px; }
      .full-calendar .fc-timeline .fc-event.planned:hover {
        box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2), 0 3px 4px rgba(0, 0, 0, 0.12), 0 2px 4px rgba(0, 0, 0, 0.14); }
    .full-calendar .fc-timeline .fc-event.constraint, .full-calendar .fc-timeline .fc-event.delay {
      width: 10px !important;
      transform: translateY(7px);
      background: transparent;
      border: none;
      display: none;
      justify-content: center;
      align-items: center; }
      .full-calendar .fc-timeline .fc-event.constraint:after, .full-calendar .fc-timeline .fc-event.delay:after {
        content: '';
        width: 10px;
        height: 10px;
        background: #DF6E55;
        border-radius: 100%;
        transform: translateX(-47%); }
    .full-calendar .fc-timeline .fc-event.delay {
      width: 14px !important; }
    .full-calendar .fc-timeline .fc-event.delay:after {
      background-color: transparent;
      border-radius: 0;
      width: 16px;
      height: 14px;
      background-image: url("data:image/svg+xml,%3Csvg width='12' height='10' viewBox='0 0 12 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M6.32099 6.32099V4.19753H5.28395V6.32099H6.32099ZM6.32099 8.41975V7.35802H5.28395V8.41975H6.32099ZM0 10L5.80247 0L11.6049 10H0Z' fill='%23DF6E55'/%3E%3C/svg%3E%0A");
      background-size: contain;
      background-repeat: no-repeat; }
    .full-calendar .fc-timeline .fc-event.production-lane .right-label, .full-calendar .fc-timeline .fc-event.work-package .right-label, .full-calendar .fc-timeline .fc-event.planned .right-label {
      display: none;
      font-size: 10px;
      text-transform: uppercase;
      color: #828282;
      position: absolute;
      right: -8px;
      top: 0;
      height: 18px;
      align-items: center;
      transform: translateX(100%); }
    .full-calendar .fc-timeline .fc-event.production-lane .fc-content, .full-calendar .fc-timeline .fc-event.work-package .fc-content, .full-calendar .fc-timeline .fc-event.planned .fc-content {
      justify-content: flex-end;
      align-items: center;
      font-weight: 600;
      text-align: right;
      height: 18px;
      color: #828282;
      margin-left: -5px;
      transform: translateX(-100%) translateY(-3px); }
      .full-calendar .fc-timeline .fc-event.production-lane .fc-content span, .full-calendar .fc-timeline .fc-event.work-package .fc-content span, .full-calendar .fc-timeline .fc-event.planned .fc-content span {
        font-size: 10px; }
      .full-calendar .fc-timeline .fc-event.production-lane .fc-content:after, .full-calendar .fc-timeline .fc-event.production-lane .fc-content .fc-time, .full-calendar .fc-timeline .fc-event.work-package .fc-content:after, .full-calendar .fc-timeline .fc-event.work-package .fc-content .fc-time, .full-calendar .fc-timeline .fc-event.planned .fc-content:after, .full-calendar .fc-timeline .fc-event.planned .fc-content .fc-time {
        display: none; }
    .full-calendar .fc-timeline .fc-event.production-lane, .full-calendar .fc-timeline .fc-event.work-package {
      top: 0% !important;
      transform: translateY(11px);
      border: none;
      background: none;
      height: 2px;
      display: flex;
      padding: 0;
      border-top: 2px #333 solid;
      border-bottom: 2px #333 solid; }
      .full-calendar .fc-timeline .fc-event.production-lane:before, .full-calendar .fc-timeline .fc-event.production-lane:after, .full-calendar .fc-timeline .fc-event.work-package:before, .full-calendar .fc-timeline .fc-event.work-package:after {
        content: '';
        display: block;
        position: absolute;
        width: 9px;
        top: -2px;
        height: 12px;
        background-size: cover; }
      .full-calendar .fc-timeline .fc-event.production-lane.fc-not-start:before, .full-calendar .fc-timeline .fc-event.work-package.fc-not-start:before {
        display: none; }
      .full-calendar .fc-timeline .fc-event.production-lane .fc-content, .full-calendar .fc-timeline .fc-event.production-lane .right-label, .full-calendar .fc-timeline .fc-event.work-package .fc-content, .full-calendar .fc-timeline .fc-event.work-package .right-label {
        margin-top: -4px; }
      .full-calendar .fc-timeline .fc-event.production-lane.fc-not-start .fc-content, .full-calendar .fc-timeline .fc-event.work-package.fc-not-start .fc-content {
        display: none; }
      .full-calendar .fc-timeline .fc-event.production-lane.fc-not-end:after, .full-calendar .fc-timeline .fc-event.work-package.fc-not-end:after {
        display: none; }
      .full-calendar .fc-timeline .fc-event.production-lane.planned, .full-calendar .fc-timeline .fc-event.work-package.planned {
        top: 0 !important; }
      .full-calendar .fc-timeline .fc-event.production-lane:before, .full-calendar .fc-timeline .fc-event.work-package:before {
        left: 0;
        background-image: url("data:image/svg+xml,%3Csvg width='9' height='12' viewBox='0 0 9 12' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M3.3 5.1L1.5 7.5V1.5H6L3.3 5.1Z' stroke='%23333333' stroke-width='3'%3E%3C/path%3E%3C/svg%3E"); }
      .full-calendar .fc-timeline .fc-event.production-lane:after, .full-calendar .fc-timeline .fc-event.work-package:after {
        right: 0;
        background-image: url("data:image/svg+xml,%3Csvg width='9' height='12' viewBox='0 0 9 12' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M6.1 4.8L7 6V2H4L6.1 4.8Z' stroke='%23333333' stroke-width='4'%3E%3C/path%3E%3C/svg%3E"); }
      .full-calendar .fc-timeline .fc-event.production-lane .fc-content, .full-calendar .fc-timeline .fc-event.work-package .fc-content {
        display: none; }
    .full-calendar .fc-timeline .fc-event.work-package {
      border-bottom: 0;
      border-top-width: 4px; }

.cal-popup {
  z-index: 8;
  width: 320px;
  padding: 32px;
  background: #FFFFFF;
  /* 24dp — Elevation */
  box-shadow: 0 11px 15px rgba(0, 0, 0, 0.2), 0 9px 46px rgba(0, 0, 0, 0.12), 0 24px 38px rgba(0, 0, 0, 0.14);
  border-radius: 8px;
  position: fixed;
  right: 64px;
  top: 168px;
  transform: none;
  transition: 0.25s;
  max-height: calc(100vh - 282px);
  opacity: 0;
  opacity: 1;
  overflow: auto; }
  .cal-popup h2 {
    margin: 0; }
  .cal-popup p {
    font-size: 0.85rem; }
  .cal-popup .name {
    text-transform: capitalize; }
  .cal-popup[data-offset] {
    transform: translateX(calc(-100% - 64px)); }
  .cal-popup .toggle-off,
  .cal-popup .toggle-on {
    display: flex;
    align-items: center;
    justify-content: center; }
  .cal-popup .qed-dynamicform-field-raised_by-panel {
    display: none; }
  .cal-popup .panel.bg-light {
    border: 1px solid #E0E0E0;
    box-sizing: border-box;
    border-radius: 8px;
    padding: 16px;
    margin-top: 32px; }
  .cal-popup .btn-primary {
    width: 100%;
    color: white !important;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2), 0 3px 4px rgba(0, 0, 0, 0.12), 0 2px 4px rgba(0, 0, 0, 0.14);
    font-weight: 500;
    font-size: 14px; }
  .cal-popup .qed-dynamicform-tabbuttongroup-panel {
    display: none; }
  .cal-popup .tab-pane {
    padding-top: 0 !important; }
  .cal-popup .bg-light {
    background: transparent !important; }
  .cal-popup .card {
    border: none; }
    .cal-popup .card .card-body {
      padding: 0; }
  .cal-popup .nav-tabs {
    margin: -16px -32px 32px;
    padding-left: 32px;
    padding-right: 32px; }
    .cal-popup .nav-tabs .nav-link {
      font-size: 10px;
      transition: 0.2s;
      padding-left: 0;
      padding-right: 0;
      margin-right: 32px;
      border-top: none;
      border-right: none;
      border-left: none;
      text-transform: uppercase;
      color: #BDBDBD; }
      .cal-popup .nav-tabs .nav-link.active {
        font-weight: 500;
        border: none;
        border-bottom: 2px #2C98F0 solid;
        color: #2C98F0; }
  .cal-popup .shift-notes {
    margin-top: 0; }
  .cal-popup .note_image {
    display: block;
    margin-top: 10px; }
  .cal-popup .constraints > div,
  .cal-popup .delays > div {
    border: 1px #ddd solid;
    border-radius: 9px;
    padding: 10px;
    margin-top: 10px;
    color: #828282; }
    .cal-popup .constraints > div label,
    .cal-popup .delays > div label {
      font-weight: 300;
      text-transform: none;
      margin-bottom: 3px;
      font-size: 9px;
      letter-spacing: 0.5px; }
    .cal-popup .constraints > div .val,
    .cal-popup .delays > div .val {
      text-transform: capitalize;
      font-size: 12px; }
    .cal-popup .constraints > div label:first,
    .cal-popup .delays > div label:first {
      margin-top: 0; }
  .cal-popup.visible {
    transform: translate(0, 0);
    opacity: 1;
    z-index: 99; }
  .cal-popup p:last-child {
    margin-bottom: 0; }
  .cal-popup .constraints:empty:after,
  .cal-popup .shift-notes:empty:after,
  .cal-popup p:empty:after {
    content: '-'; }
  .cal-popup .circle-container {
    width: 56px;
    height: 56px;
    flex-shrink: 0;
    position: relative; }
    .cal-popup .circle-container .progressbar-text {
      color: #828282 !important; }
      .cal-popup .circle-container .progressbar-text:after {
        content: '%'; }
  .cal-popup .popup-section {
    padding-bottom: 20px;
    margin-bottom: 20px;
    margin-left: -32px;
    margin-right: -32px;
    padding-left: 32px;
    padding-right: 32px;
    border-bottom: 0.5px solid #ddd; }
    .cal-popup .popup-section:last-child {
      border-bottom: 0;
      padding-bottom: 0;
      margin-bottom: 0; }
  .cal-popup .flex {
    justify-content: space-between; }
    .cal-popup .flex:first-child label {
      margin-top: 0; }
  .cal-popup .flex > div {
    width: calc(50% - 32px); }
  .cal-popup .popup-header {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    text-transform: capitalize; }
    .cal-popup .popup-header #graph {
      margin-left: 32px; }
    .cal-popup .popup-header .meta {
      font-size: 13px;
      font-weight: 500;
      margin-bottom: 0; }
  .cal-popup .close-popup {
    position: absolute;
    width: 32px;
    height: 32px;
    border-radius: 100%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    top: 12px;
    right: 12px; }
    .cal-popup .close-popup:hover {
      background: #EEEFF3; }
  .cal-popup label.col-form-label,
  .cal-popup label.small {
    color: #828282;
    font-size: 10px;
    text-transform: uppercase;
    margin-top: 15px;
    display: block;
    font-weight: 500;
    margin-bottom: 5px; }
  .cal-popup label.col-form-label {
    margin-bottom: 20px;
    margin-top: 0; }
  .cal-popup h2 {
    font-size: 16px; }
  .cal-popup .name * {
    display: inline; }

.flex {
  display: flex; }
